List Brands
GET
/api/v1/brands
const url = 'https://api.ultimateteam.ai/api/v1/brands';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/brands \ --header 'X-API-Key: <X-API-Key>'List all brands for the authenticated tenant.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response List Brands Api V1 Brands Get
Array<object>
BrandConfigFull brand configuration snapshot (read model).
object
contact_info
custom_hostname_status
Custom Hostname Status
string
id
required
Id
string format: uuid
name
required
Name
string
personality
sending_domain_status
Sending Domain Status
string
slug
required
Slug
string
tenant_id
required
Tenant Id
string format: uuid
theme
BrandTheme
Visual theme for a brand (hex color codes only).
object
background_color
Background Color
string
primary_color
Primary Color
string
text_color
Text Color
string
Example
[ { "custom_hostname_status": "not_configured", "personality": { "formality": 5, "tone": "formal" }, "sending_domain_status": "not_configured", "theme": { "background_color": "#1A1A1A", "primary_color": "#C8A951", "text_color": "#F5F0EB" } }]